/*
 * magic_map.hpp
 *
 * Copyright (c) Stephen Thompson, 2006.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * Map-related magic effects
 *
 */

#ifndef MAGIC_MAP_HPP
#define MAGIC_MAP_HPP

#include "boost/shared_ptr.hpp"
using namespace boost;

class Knight;

void MagicMapping(shared_ptr<Knight> kt);
void WipeMap(shared_ptr<Knight> kt);

void SenseItems(shared_ptr<Knight> kt, int stop_time);

#endif
