/*
 * command_codes.hpp
 *
 * Copyright (c) Stephen Thompson, 2006.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * Codes for network commands.
 *
 */

#ifndef COMMAND_CODES_HPP
#define COMMAND_CODES_HPP

enum CommandCode {
	C_SET_CURRENT_ROOM,
	C_MAP_CURRENT_ROOM,
	C_MAP_WALL,
	C_MAP_KNIGHT_LOCATION,
	C_MAP_ITEM_LOCATION,
	C_WIPE_MAP,
	C_ADD_ENTITY,
	C_RM_ENTITY,
	C_REPOSITION_ENTITY,
	C_MOVE_ENTITY,
	C_SET_ANIM_DATA,
	C_SET_FACING,
	C_CLEAR_TILES,
	C_SET_TILE,
	C_SET_ITEM,
	C_PLACE_ICON,
	C_SET_BACKPACK,
	C_ADD_SKULL,
	C_SET_HEALTH,
	C_SET_POTION_MAGIC,
	C_FLASH_MESSAGE,
	C_CANCEL_CONTINUOUS_MESSAGES,
	C_ADD_CONTINUOUS_MESSAGE,
	C_FLASH_SCREEN,
	C_SET_AVAILABLE_CONTROLS,
	C_SET_MENU_HIGHLIGHT,
	C_WIN_GAME,
	C_LOSE_GAME,
	C_QUIT_GAME
};

#endif
