/*
 * rng.cpp
 *
 * Copyright (c) Stephen Thompson, 2006.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 */

#include "misc.hpp"

#include "rng.hpp"

// (TODO) write some portable way to get a random number seed. (is time(0) sufficient?)
// (TODO) use boost random number library instead ...
//#include <sys/times.h>

#include <cstdlib>
#include <ctime>
using namespace std;

// define g_rng
StandardRNG g_rng;

void StandardRNG::setSeed(unsigned int seed /* = 0 */)
{
	if (seed == 0) {
		//		struct tms t;
		//		srand(times(&t));
		srand(time(0));
	} else {
		srand(seed);
	}
}

float StandardRNG::getU01()
{
	return float(rand()) / (float(RAND_MAX)+1);
}

